Subject: bug#21885: 24.5; Transposing things with a negative argument

From: Eli Barzilay <[email-masked]>
Date: Thu, 12 Nov 2015 14:27:07 -0500

On Thu, Nov 12, 2015 at 1:24 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Stephen Leake <[email-masked]>
>> Date: Thu, 12 Nov 2015 12:11:42 -0600
>> Cc: [email-masked]
>>
>> Eli Barzilay <[email-masked]> writes:
>>
>> > In the past (IIRC, up to around v24.3) transposing things (chars,
>> > words, sexprs, lines) would always leave the point after the
>> > transposed thing. ...  This is no longer happenning.
> [...]
>
> I think I know the answer: the difference is visible only if you
> invoke C-t with a negative argument, as in "C-- C-t".

Yes, exactly -- and yes, this is the same bug as #20698.  I looked at
the code a bit more since then, and I think that my patch is a fine fix.

-- 
                    ((x=>x(x))(x=>x(x)))                   Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!